import {
  __name
} from "./chunk-INDHDMU3.mjs";

// src/spacer.tsx
import { createVNode as _createVNode, isVNode as _isVNode } from "vue";
import { chakra } from "@chakra-ui/vue-system";
import { defineComponent } from "vue";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CSpacer = defineComponent({
  name: "CSpacer",
  setup(_, {
    slots
  }) {
    return () => {
      return _createVNode(chakra.div, {
        "__label": "spacer",
        "baseStyle": {
          flex: 1,
          justifySelf: "stretch",
          alignSelf: "stretch"
        }
      }, _isSlot(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

export {
  CSpacer
};
